#!/bin/sh
sed -f $SNIFF_DIR/make_support/ChangeMakefile.sed $1 > $1.newmake
grep -l "SHAREDLIB_TARGET" $1.newmake
if [ $? -eq 1 ]
then
    awk '{print $0; if ( $1 == "LIB_TARGET" ) { print "\n#     Shared Library target\nSHAREDLIB_TARGET        = $(SNIFF_SHAREDLIB_TARGET)" }}' $1.newmake > $1.newmake2
    mv $1.newmake2 $1.newmake
fi
mv $1.newmake $1
